
/**
 * Write a description of class Viatura here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Viatura
{
    private String matricula;
    private String marca;
    private String modelo;
    // private boolean gas -  1 = Sim / 0 = Nao
    /**
     * Constructor for objects of class Viatura
     */
    public Viatura()
    {
        this.matricula="";
        this.marca="";
        this.modelo="";
        // this.gas = '';
    }
    
    public Viatura(String matricula1, String marca1, String modelo1)
    {
        this.matricula=matricula1;
        this.marca=marca1;
        this.modelo=modelo1;
        // this.gas=gas1;
    }
    
    public String getMatricula()
    {
        return this.matricula;
    }
    
    
    public String getMarca()
    {
        return this.marca;
    }
    
    
    public String getModelo()
    {
        return this.modelo;
    }
    
    public boolean equals(Viatura v) {
        boolean eq = false;
        
        if (this.matricula.equals(v.getMatricula()) &&
            this.marca.equals(v.getMarca()) &&
            this.modelo.equals(v.getModelo())) {
                eq = true;
            }
            
        return eq;
    }
}
